| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Types | Private Attributes | List of all members
Gaudi::Utils::GetOrCreateData< Gaudi::NamedRange_< std::vector< const TYPE * > >, TYPE2 > Struct Template Reference

`#include <GaudiAlg/GetData.h>`

## Public Types
typedef Getter::Type | Type
typedef Getter::return_type | return_type
| the actual return type More...

## Public Member Functions
template<class COMMON >
return_type | operator() (const COMMON &common, IDataProviderSvc *service, const std::string &location, const std::string &location2) const
| the only one essential method More...

## Private Types
typedef Gaudi::NamedRange_< std::vector< const TYPE * > > | Range
typedef Gaudi::Range_< std::vector< const TYPE * > > | Range_
typedef GetOrCreateData< Range_, TYPE2 > | Helper
typedef GetData< Range > | Getter
| the actual data getter More...

## Private Attributes
Helper | m_range
| the actual data getter More...

## Detailed Description

### template<class TYPE, class TYPE2>
struct Gaudi::Utils::GetOrCreateData< Gaudi::NamedRange_< std::vector< const TYPE * > >, TYPE2 >

Definition at line 515 of file GetData.h.

## Member Typedef Documentation

template<class TYPE , class TYPE2 >

typedef GetData<Range> Gaudi::Utils::GetOrCreateData< Gaudi::NamedRange_< std::vector< const TYPE * > >, TYPE2 >::Getter
| private

the actual data getter

Definition at line 522 of file GetData.h.

template<class TYPE , class TYPE2 >

typedef GetOrCreateData<Range_, TYPE2> Gaudi::Utils::GetOrCreateData< Gaudi::NamedRange_< std::vector< const TYPE * > >, TYPE2 >::Helper
| private

Definition at line 520 of file GetData.h.

template<class TYPE , class TYPE2 >

typedef Gaudi::NamedRange_<std::vector<const TYPE*> > Gaudi::Utils::GetOrCreateData< Gaudi::NamedRange_< std::vector< const TYPE * > >, TYPE2 >::Range
| private

Definition at line 518 of file GetData.h.

template<class TYPE , class TYPE2 >

typedef Gaudi::Range_<std::vector<const TYPE*> > Gaudi::Utils::GetOrCreateData< Gaudi::NamedRange_< std::vector< const TYPE * > >, TYPE2 >::Range_
| private

Definition at line 519 of file GetData.h.

template<class TYPE , class TYPE2 >

typedef Getter::return_type Gaudi::Utils::GetOrCreateData< Gaudi::NamedRange_< std::vector< const TYPE * > >, TYPE2 >::return_type

the actual return type

Definition at line 528 of file GetData.h.

template<class TYPE , class TYPE2 >

typedef Getter::Type Gaudi::Utils::GetOrCreateData< Gaudi::NamedRange_< std::vector< const TYPE * > >, TYPE2 >::Type

Definition at line 526 of file GetData.h.

## Member Function Documentation

template<class TYPE , class TYPE2 >
template<class COMMON >

return_type Gaudi::Utils::GetOrCreateData< Gaudi::NamedRange_< std::vector< const TYPE * > >, TYPE2 >::operator() | ( | const COMMON & | common,
|  | IDataProviderSvc * | service,
|  | const std::string & | location,
|  | const std::string & | location2
| ) |  | const
| inline

the only one essential method

Parameters

  common | the actual "worker"
  service | pointer to Data Provider Service
  location | location of objects in TES

Returns
  the data

Definition at line 539 of file GetData.h.

541 {
542 return return_type( m_range( common, service, location, location2 ), location );
543 }
Gaudi::Utils::GetOrCreateData< Gaudi::NamedRange_< std::vector< const TYPE * > >, TYPE2 >::return_type
Getter::return_type return_type
the actual return type
Definition: GetData.h:528
Gaudi::Utils::GetOrCreateData< Gaudi::NamedRange_< std::vector< const TYPE * > >, TYPE2 >::m_range
Helper m_range
the actual data getter
Definition: GetData.h:548

## Member Data Documentation

template<class TYPE , class TYPE2 >

Helper Gaudi::Utils::GetOrCreateData< Gaudi::NamedRange_< std::vector< const TYPE * > >, TYPE2 >::m_range
| private

the actual data getter

Definition at line 548 of file GetData.h.

The documentation for this struct was generated from the following file:

- GaudiAlg/GaudiAlg/GetData.h